Index: /branches/version-2_13-dev/data/module/MDB2/Iterator.php
===================================================================
--- /branches/version-2_13-dev/data/module/MDB2/Iterator.php	(revision 20764)
+++ /branches/version-2_13-dev/data/module/MDB2/Iterator.php	(revision 23022)
@@ -43,5 +43,5 @@
 // +----------------------------------------------------------------------+
 //
-// $Id: Iterator.php,v 1.22 2006/05/06 14:03:41 lsmith Exp $
+// $Id: Iterator.php 327310 2012-08-27 15:16:18Z danielc $
 
 /**
@@ -55,4 +55,7 @@
 {
     protected $fetchmode;
+    /**
+     * @var MDB2_Result_Common
+     */
     protected $result;
     protected $row;
@@ -63,5 +66,5 @@
      * Constructor
      */
-    public function __construct($result, $fetchmode = MDB2_FETCHMODE_DEFAULT)
+    public function __construct(MDB2_Result_Common $result, $fetchmode = MDB2_FETCHMODE_DEFAULT)
     {
         $this->result = $result;
@@ -113,7 +116,7 @@
     public function current()
     {
-        if (is_null($this->row)) {
+        if (null === $this->row) {
             $row = $this->result->fetchRow($this->fetchmode);
-            if (PEAR::isError($row)) {
+            if (MDB2::isError($row)) {
                 $row = false;
             }
